#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

char *argv0;

void
sysfatal(char *fmt, ...)
{
	va_list a;
	int i;
	double d;
	char *p, *s, c;

	fprintf(stderr, "%s: ", argv0);
	va_start(a, fmt);
	for(p = fmt; *p; p++){
		if(*p != '%'){
			fputc(*p, stderr);
			continue;
		}

		c = *++p;
		switch(c){
		case 'd':
			i = va_arg(a, int);
			fprintf(stderr, "%d", i);
			break;
		case 'f':
			d = va_arg(a, double);
			fprintf(stderr, "%f", d);
			break;
		case 's':
			s = va_arg(a, char *);
			fprintf(stderr, "%s", s);
			break;
		case 'c':
			i = va_arg(a, int);
			fprintf(stderr, "%c", i);
			break;
		case 'r':
			fprintf(stderr, "%s", strerror(errno));
			break;
		default:
			fprintf(stderr, "%c format character not supported\n", c);
			exit(1);
		}
	}
	va_end(a);
	fflush(stderr);
	exit(1);
}

