#include <u.h>
#include <libc.h>
#include <bio.h>

int Debug;
Biobuf *Meta;

extern int adtshdr(int c);

void
parse(Biobuf *bp)
{
	int c;

	adtshdr(-1);
	while((c = Bgetc(bp)) != -1)
		adtshdr(c);
}


static void
usage(void)
{
	fprint(2, "%s [file]\n", argv0);
	exits("usage");
}

void
main(int argc, char *argv[])
{
	Biobuf inp, *bp, out;

	ARGBEGIN{
	case 'd':
		Debug++;
		break;
	default:
		usage();
		break;
	}ARGEND;

	if(argc > 1)
		usage();

	quotefmtinstall();

	Meta = &out;
	Binit(Meta, 1, OWRITE);
	if(argc == 0){
		bp = &inp;
		Binit(&inp, 0, OREAD);
	}
	else{
		if((bp = Bopen(argv[0], OREAD)) == nil)
			sysfatal("%s cannot open %r\n", argv[0]);
	}

	parse(bp);
	Bterm(bp);
	exits(nil);
}


