enum {
	Nconn = 2,			/* number of simultanious connections needed */
	Lockthresh = 10,	/* number of consecuitive good headers which indicates we are phase locked */

	Lost,				/* states for stream header state machines */
	Found,
	Locked
};

typedef struct Sess Sess;
struct Sess {
	char server[128];	/* server model/version reported by remote host */
	char *webfs;
	int net[Nconn];
	int conid[Nconn];
};


typedef struct Item Item;
struct Item {
	Item *next;
	char *path;			/* path to file or URL for streams */
	long secs;			/* length in seconds, -1 for streams, or zero if missing */
	char *title;		/* song or stream title for user interface */
	int slot;			/* houskeeping, allows us to parse PLS files in a single pass */
};

typedef struct Metastyle Metastyle;
struct Metastyle {
	char *name;
	void *arg;
	void *(*open)(Sess *s, char *url);
	void (*sync)(void *v);
	void (*close)(void *v);
};


extern int Debug;
extern Biobuf *Meta;
extern Metastyle meta_bbc[];
extern Metastyle meta_live365[];

